Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.destination
Class Queue

    java.lang.Object
      ServiceMBeanSupport
          org.jboss.jms.server.destination.DestinationServiceSupport
              org.jboss.jms.server.destination.Queue

public class Queue
extends DestinationServiceSupport

A deployable JBoss Messaging queue.

Version:
  `$Revision: 1.13 $` $Id: Queue.java,v 1.13 2006/04/13 08:57:46 timfox Exp $
Author:
  Ovidiu Feodorov, Tim Fox, Alex Fu
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.jms.server.destination.DestinationServiceSupport
`cm, dm, jndiName, name, securityConfig, serverPeerObjectName, sm, started`

Constructor Summary
`Queue()`
`Queue(boolean createProgrammatically)`

Method Summary
`int` | `getMessageCount()`
`protected boolean` | `isQueue()`
`java.util.List` | `listMessages(java.lang.String selector)`
`void` | `removeAllMessages()`

Methods inherited from class org.jboss.jms.server.destination.DestinationServiceSupport
`getDownCacheSize, getFullSize, getJNDIName, getName, getPageSize, getSecurityConfig, getServerPeer, isCreatedProgrammatically, setDownCacheSize, setFullSize, setJNDIName, setPageSize, setSecurityConfig, setServerPeer, startService, stopService, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Queue

    public Queue()

### Queue

    public Queue(boolean createProgrammatically)

Method Detail

### getMessageCount

    public int getMessageCount()
                        throws JMSException

  Throws:
    `JMSException`

### removeAllMessages

    public void removeAllMessages()
                           throws JMSException

  Throws:
    `JMSException`

### listMessages

    public java.util.List listMessages(java.lang.String selector)
                                throws JMSException

  Throws:
    `JMSException`

### isQueue

    protected boolean isQueue()

  Specified by:
    `isQueue` in class `DestinationServiceSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.